## jxtray
Class JARClassLoader

    java.lang.Object
      java.lang.ClassLoader
          jxtray.JARClassLoader

public class JARClassLoader
extends java.lang.ClassLoader

A class loader implementation that loads classes from JAR files.

Author:
  Slava Pestov

Field Summary
`static java.util.ArrayList` `pluginsNames`
`static java.util.ArrayList` `pluginsRealNames`

Constructor Summary
`JARClassLoader(java.lang.String path)`
`JARClassLoader(java.lang.String path, java.lang.ClassLoader parent)`

Method Summary
`protected void` `finalize()` Patch -> Memory management improvements : it may help the garbage collector. -> Author : Julien Ponge (julien@izforge.com) -> Date : 23, May 2001
`static JARClassLoader` `getClassLoader(int index)`
`static int` `getClassLoaderCount()`
`java.lang.String` `getPath()`
`java.net.URL` `getResource(java.lang.String name)`
`java.lang.String` `getResourceAsPath(java.lang.String name)`
`java.io.InputStream` `getResourceAsStream(java.lang.String name)`
`java.util.zip.ZipFile` `getZipFile()`
`java.lang.Class` `loadClass(java.lang.String clazz, boolean resolveIt)`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pluginsNames

    public static java.util.ArrayList pluginsNames

### pluginsRealNames

    public static java.util.ArrayList pluginsRealNames

Constructor Detail

### JARClassLoader

    public JARClassLoader(java.lang.String path)
                   throws java.io.IOException

### JARClassLoader

    public JARClassLoader(java.lang.String path,
                          java.lang.ClassLoader parent)
                   throws java.io.IOException

Method Detail

### loadClass

    public java.lang.Class loadClass(java.lang.String clazz,
                                     boolean resolveIt)
                              throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException` - if the class could not be found

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

### getResource

    public java.net.URL getResource(java.lang.String name)

### getResourceAsPath

    public java.lang.String getResourceAsPath(java.lang.String name)

### getPath

    public java.lang.String getPath()

### getClassLoader

    public static JARClassLoader getClassLoader(int index)

### getClassLoaderCount

    public static int getClassLoaderCount()

### getZipFile

    public java.util.zip.ZipFile getZipFile()

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Patch -> Memory management improvements : it may help the garbage collector. -> Author : Julien Ponge (julien@izforge.com) -> Date : 23, May 2001

  Throws:
    `java.lang.Throwable`